edu.isi.pegasus.planner.partitioner

## Class Whole

- java.lang.Object
- - edu.isi.pegasus.planner.partitioner.Partitioner
  - - edu.isi.pegasus.planner.partitioner.Whole

    public class Whole
    extends Partitioner

This partitioning technique considers the whole DAX as a single partition.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `DESCRIPTION` A short description about the partitioner.

### Fields inherited from class edu.isi.pegasus.planner.partitioner.Partitioner

`mGraph, mLogger, mProps, mRoot, PACKAGE_NAME, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Whole(GraphNode root, java.util.Map graph, PegasusProperties properties)` The overloaded constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `description()` Returns a textual description of the transfer implementation.
`void` `determinePartitions(Callback c)` This ends up writing out a partition for each job in the dax.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DESCRIPTION

    public static final java.lang.String DESCRIPTION

A short description about the partitioner.

See Also:
  Constant Field Values

### Constructor Detail

#### Whole

    public Whole(GraphNode root,
                 java.util.Map graph,
                 PegasusProperties properties)

The overloaded constructor.

Parameters:
  `root` - the dummy root node of the graph.
  `graph` - the map containing all the nodes of the graph keyed by the logical id of the nodes.
  `properties` - the properties passed to the planner.

### Method Detail

#### determinePartitions

    public void determinePartitions(Callback c)

This ends up writing out a partition for each job in the dax. It is a one 2 one mapping from the jobs in the dax to the corresponding partitions in the pdax. The ids of the partitions in pdax is same as the ids of the corresponding jobs in the dax.

Specified by:
  `determinePartitions` in class `Partitioner`
Parameters:
  `c` - the callback object to callout to while partitioning.

#### description

    public java.lang.String description()

Returns a textual description of the transfer implementation.

Specified by:
  `description` in class `Partitioner`
Returns:
  a short textual description